<?php
$tdatapayment_r_4_xprinter = array();
$tdatapayment_r_4_xprinter[".searchableFields"] = array();
$tdatapayment_r_4_xprinter[".ShortName"] = "payment_r_4_xprinter";
$tdatapayment_r_4_xprinter[".OwnerID"] = "";
$tdatapayment_r_4_xprinter[".OriginalTable"] = "payment_for_pur";


$tdatapayment_r_4_xprinter[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatapayment_r_4_xprinter[".originalPagesByType"] = $tdatapayment_r_4_xprinter[".pagesByType"];
$tdatapayment_r_4_xprinter[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatapayment_r_4_xprinter[".originalPages"] = $tdatapayment_r_4_xprinter[".pages"];
$tdatapayment_r_4_xprinter[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatapayment_r_4_xprinter[".originalDefaultPages"] = $tdatapayment_r_4_xprinter[".defaultPages"];

//	field labels
$fieldLabelspayment_r_4_xprinter = array();
$fieldToolTipspayment_r_4_xprinter = array();
$pageTitlespayment_r_4_xprinter = array();
$placeHolderspayment_r_4_xprinter = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspayment_r_4_xprinter["English"] = array();
	$fieldToolTipspayment_r_4_xprinter["English"] = array();
	$placeHolderspayment_r_4_xprinter["English"] = array();
	$pageTitlespayment_r_4_xprinter["English"] = array();
	$fieldLabelspayment_r_4_xprinter["English"]["id"] = "Id";
	$fieldToolTipspayment_r_4_xprinter["English"]["id"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["id"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["pur_id"] = "Pur Id";
	$fieldToolTipspayment_r_4_xprinter["English"]["pur_id"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["pur_id"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["amount"] = "Amount";
	$fieldToolTipspayment_r_4_xprinter["English"]["amount"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["amount"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["payment_type"] = "Payment Type";
	$fieldToolTipspayment_r_4_xprinter["English"]["payment_type"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["payment_type"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipspayment_r_4_xprinter["English"]["outlet_code"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["outlet_code"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["user"] = "User";
	$fieldToolTipspayment_r_4_xprinter["English"]["user"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["user"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["details"] = "Details";
	$fieldToolTipspayment_r_4_xprinter["English"]["details"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["details"] = "";
	$fieldLabelspayment_r_4_xprinter["English"]["date"] = "Date";
	$fieldToolTipspayment_r_4_xprinter["English"]["date"] = "";
	$placeHolderspayment_r_4_xprinter["English"]["date"] = "";
	if (count($fieldToolTipspayment_r_4_xprinter["English"]))
		$tdatapayment_r_4_xprinter[".isUseToolTips"] = true;
}


	$tdatapayment_r_4_xprinter[".NCSearch"] = true;



$tdatapayment_r_4_xprinter[".shortTableName"] = "payment_r_4_xprinter";
$tdatapayment_r_4_xprinter[".nSecOptions"] = 0;

$tdatapayment_r_4_xprinter[".mainTableOwnerID"] = "";
$tdatapayment_r_4_xprinter[".entityType"] = 2;
$tdatapayment_r_4_xprinter[".connId"] = "test2_at_localhost";


$tdatapayment_r_4_xprinter[".strOriginalTableName"] = "payment_for_pur";

	



$tdatapayment_r_4_xprinter[".showAddInPopup"] = false;

$tdatapayment_r_4_xprinter[".showEditInPopup"] = false;

$tdatapayment_r_4_xprinter[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapayment_r_4_xprinter[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapayment_r_4_xprinter[".listAjax"] = false;
//	temporary
$tdatapayment_r_4_xprinter[".listAjax"] = false;

	$tdatapayment_r_4_xprinter[".audit"] = false;

	$tdatapayment_r_4_xprinter[".locking"] = false;


$pages = $tdatapayment_r_4_xprinter[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapayment_r_4_xprinter[".edit"] = true;
	$tdatapayment_r_4_xprinter[".afterEditAction"] = 1;
	$tdatapayment_r_4_xprinter[".closePopupAfterEdit"] = 1;
	$tdatapayment_r_4_xprinter[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapayment_r_4_xprinter[".add"] = true;
$tdatapayment_r_4_xprinter[".afterAddAction"] = 1;
$tdatapayment_r_4_xprinter[".closePopupAfterAdd"] = 1;
$tdatapayment_r_4_xprinter[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapayment_r_4_xprinter[".list"] = true;
}



$tdatapayment_r_4_xprinter[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapayment_r_4_xprinter[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapayment_r_4_xprinter[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapayment_r_4_xprinter[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapayment_r_4_xprinter[".printFriendly"] = true;
}



$tdatapayment_r_4_xprinter[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapayment_r_4_xprinter[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapayment_r_4_xprinter[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapayment_r_4_xprinter[".isUseAjaxSuggest"] = true;




																																																			

$tdatapayment_r_4_xprinter[".ajaxCodeSnippetAdded"] = false;

$tdatapayment_r_4_xprinter[".buttonsAdded"] = false;

$tdatapayment_r_4_xprinter[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapayment_r_4_xprinter[".isUseTimeForSearch"] = false;


$tdatapayment_r_4_xprinter[".badgeColor"] = "778899";


$tdatapayment_r_4_xprinter[".allSearchFields"] = array();
$tdatapayment_r_4_xprinter[".filterFields"] = array();
$tdatapayment_r_4_xprinter[".requiredSearchFields"] = array();

$tdatapayment_r_4_xprinter[".googleLikeFields"] = array();
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "id";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "pur_id";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "amount";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "payment_type";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "date";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "outlet_code";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "user";
$tdatapayment_r_4_xprinter[".googleLikeFields"][] = "details";



$tdatapayment_r_4_xprinter[".tableType"] = "report";

$tdatapayment_r_4_xprinter[".printerPageOrientation"] = 0;
$tdatapayment_r_4_xprinter[".nPrinterPageScale"] = 100;

$tdatapayment_r_4_xprinter[".nPrinterSplitRecords"] = 40;

$tdatapayment_r_4_xprinter[".geocodingEnabled"] = false;

//report settings
$tdatapayment_r_4_xprinter[".printReportLayout"] = 3;

$tdatapayment_r_4_xprinter[".reportPrintPartitionType"] = 1;
$tdatapayment_r_4_xprinter[".reportPrintGroupsPerPage"] = 3;
$tdatapayment_r_4_xprinter[".lowGroup"] = 4;



$tdatapayment_r_4_xprinter[".reportGroupFields"] = true;
$tdatapayment_r_4_xprinter[".pageSize"] = 5;
$tdatapayment_r_4_xprinter[".showGroupSummaryCount"] = true;
$reportGroupFieldsList = array();
$reportGroupFields = array();
	$reportGroupFieldsList []= "date";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "date";
	$rgroupField['groupInterval'] = 0;
	$rgroupField['groupOrder'] = 1;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
	$reportGroupFieldsList []= "outlet_code";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "outlet_code";
	$rgroupField['groupInterval'] = 0;
	$rgroupField['groupOrder'] = 2;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
	$reportGroupFieldsList []= "details";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "details";
	$rgroupField['groupInterval'] = 0;
	$rgroupField['groupOrder'] = 3;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
	$reportGroupFieldsList []= "payment_type";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "payment_type";
	$rgroupField['groupInterval'] = 0;
	$rgroupField['groupOrder'] = 4;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
$tdatapayment_r_4_xprinter[".reportGroupFieldsData"] = $reportGroupFields;
$tdatapayment_r_4_xprinter[".reportGroupFieldsList"] = $reportGroupFieldsList;


$tdatapayment_r_4_xprinter[".isExistTotalFields"] = true;


$tdatapayment_r_4_xprinter[".reportPageSummary"] = true;

$tdatapayment_r_4_xprinter[".reportGlobalSummary"] = true;

$tdatapayment_r_4_xprinter[".repShowDet"] = true;

$tdatapayment_r_4_xprinter[".reportLayout"] = 3;

//end of report settings










$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapayment_r_4_xprinter[".strOrderBy"] = $tstrOrderBy;

$tdatapayment_r_4_xprinter[".orderindexes"] = array();


$tdatapayment_r_4_xprinter[".sqlHead"] = "SELECT id,  	pur_id,  	amount,  	payment_type,  	DATE(date_time) AS \"date\",  	outlet_code,  	`user`,  	details";
$tdatapayment_r_4_xprinter[".sqlFrom"] = "FROM payment_for_pur";
$tdatapayment_r_4_xprinter[".sqlWhereExpr"] = "";
$tdatapayment_r_4_xprinter[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapayment_r_4_xprinter[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapayment_r_4_xprinter[".arrGroupsPerPage"] = $arrGPP;

$tdatapayment_r_4_xprinter[".highlightSearchResults"] = true;

$tableKeyspayment_r_4_xprinter = array();
$tableKeyspayment_r_4_xprinter[] = "id";
$tdatapayment_r_4_xprinter[".Keys"] = $tableKeyspayment_r_4_xprinter;


$tdatapayment_r_4_xprinter[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","id");
	$fdata["FieldType"] = 3;

		// report field settings
					// end of report field settings

		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["id"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "id";
//	pur_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pur_id";
	$fdata["GoodName"] = "pur_id";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","pur_id");
	$fdata["FieldType"] = 3;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "pur_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pur_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Advance_purchasing2";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"amount", 'lookupF'=>"left");
	$edata["autoCompleteFields"][] = array('masterF'=>"should_pay", 'lookupF'=>"left");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["pur_id"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "pur_id";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","amount");
	$fdata["FieldType"] = 14;

		// report field settings
					$fdata["isTotalSum"] = true;
	// end of report field settings

	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["amount"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "amount";
//	payment_type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "payment_type";
	$fdata["GoodName"] = "payment_type";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","payment_type");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "payment_type";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payment_type";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Cash";
	$edata["LookupValues"][] = "Cheque";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["payment_type"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "payment_type";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","date");
	$fdata["FieldType"] = 7;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DATE(date_time)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
			$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Interval slider";
		$fdata["showCollapsed"] = false;

	
	
	
	

	$fdata["filterKnobsType"] = 0;
		$fdata["filterSliderStepType"] = 3;
	$fdata["filterSliderStepValue"] = 1;
//end of Filters settings


	$tdatapayment_r_4_xprinter["date"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "date";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","outlet_code");
	$fdata["FieldType"] = 3;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 2;
		$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["outlet_code"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "outlet_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","user");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 2;
		$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["user"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "user";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "payment_for_pur";
	$fdata["Label"] = GetFieldLabel("Payment_r_4_xprinter","details");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 2;
		$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_r_4_xprinter["details"] = $fdata;
		$tdatapayment_r_4_xprinter[".searchableFields"][] = "details";


$tables_data["Payment_r_4_xprinter"]=&$tdatapayment_r_4_xprinter;
$field_labels["Payment_r_4_xprinter"] = &$fieldLabelspayment_r_4_xprinter;
$fieldToolTips["Payment_r_4_xprinter"] = &$fieldToolTipspayment_r_4_xprinter;
$placeHolders["Payment_r_4_xprinter"] = &$placeHolderspayment_r_4_xprinter;
$page_titles["Payment_r_4_xprinter"] = &$pageTitlespayment_r_4_xprinter;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Payment_r_4_xprinter"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Payment_r_4_xprinter"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_payment_r_4_xprinter()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	pur_id,  	amount,  	payment_type,  	DATE(date_time) AS \"date\",  	outlet_code,  	`user`,  	details";
$proto0["m_strFrom"] = "FROM payment_for_pur";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "Payment_r_4_xprinter";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pur_id",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto8["m_sql"] = "pur_id";
$proto8["m_srcTableName"] = "Payment_r_4_xprinter";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto10["m_sql"] = "amount";
$proto10["m_srcTableName"] = "Payment_r_4_xprinter";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "payment_type",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto12["m_sql"] = "payment_type";
$proto12["m_srcTableName"] = "Payment_r_4_xprinter";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_CUSTOM";
$proto15["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "date_time"
));

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "DATE";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "DATE(date_time)";
$proto14["m_srcTableName"] = "Payment_r_4_xprinter";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "date";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto17["m_sql"] = "outlet_code";
$proto17["m_srcTableName"] = "Payment_r_4_xprinter";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto19["m_sql"] = "`user`";
$proto19["m_srcTableName"] = "Payment_r_4_xprinter";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "payment_for_pur",
	"m_srcTableName" => "Payment_r_4_xprinter"
));

$proto21["m_sql"] = "details";
$proto21["m_srcTableName"] = "Payment_r_4_xprinter";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto23=array();
$proto23["m_link"] = "SQLL_MAIN";
			$proto24=array();
$proto24["m_strName"] = "payment_for_pur";
$proto24["m_srcTableName"] = "Payment_r_4_xprinter";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "id";
$proto24["m_columns"][] = "pur_id";
$proto24["m_columns"][] = "amount";
$proto24["m_columns"][] = "payment_type";
$proto24["m_columns"][] = "cheque_number";
$proto24["m_columns"][] = "cheque_date";
$proto24["m_columns"][] = "date_time";
$proto24["m_columns"][] = "outlet_code";
$proto24["m_columns"][] = "branch_code";
$proto24["m_columns"][] = "user";
$proto24["m_columns"][] = "details";
$proto24["m_columns"][] = "should_pay";
$proto24["m_columns"][] = "expen_code";
$proto24["m_columns"][] = "salary_advance";
$proto24["m_columns"][] = "salary";
$proto24["m_columns"][] = "acc_no";
$proto24["m_columns"][] = "loan_no";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_sql"] = "payment_for_pur";
$proto23["m_alias"] = "";
$proto23["m_srcTableName"] = "Payment_r_4_xprinter";
$proto25=array();
$proto25["m_sql"] = "";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = false;
$proto25["m_inBrackets"] = false;
$proto25["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Payment_r_4_xprinter";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_payment_r_4_xprinter = createSqlQuery_payment_r_4_xprinter();


	
		;

								

$tdatapayment_r_4_xprinter[".sqlquery"] = $queryData_payment_r_4_xprinter;



$tableEvents["Payment_r_4_xprinter"] = new eventsBase;
$tdatapayment_r_4_xprinter[".hasEvents"] = false;

?>